<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_Student_Index extends Controller_UserEnvi {

    public function action_index()
    {
        $twig = Twig::factory('student/index');
        $twig->User = $this->UserInfo;
        $db = new Model_Student;
        $disciplines = $db->getAllDisciplines($this->UserInfo['StudentID']);
        $i = 0;
        foreach($disciplines as $row)
        {
            $i++;
            $disciplinesHandled[$i]['ID'] = $row['DisciplineID'];
            if($row['ExamType'] == 'exam')
                $disciplinesHandled[$i]['Control'] = 'Экзамен';
            elseif($row['ExamType'] == 'credit')
                $disciplinesHandled[$i]['Control'] = 'Зачет';
            $disciplinesHandled[$i]['Teachers'] = $this->getTeachersForDiscipline($row['DisciplineID']);
            $disciplinesHandled[$i]['Title'] = $row['SubjectName'];
            $disciplinesHandled[$i]['Rate'] = $row['Rate'];
            $disciplinesHandled[$i]['MaxRate'] = $row['MaxCurrentRate'];
        }
        if ($i != 0) { 
            $twig->disciplines = $disciplinesHandled;
        }
        $this->response->body($twig);
    }
    
    protected function getTeachersForDiscipline($id) {
        $model = new Model_Student;
        $teachers = $model->getTeachersForDiscipline($id);
        $teachersHandled = array(); $i = 0;
        foreach ($teachers as $teacher)
        {
            $i++;
            $teachersHandled[$i] = $teacher['TeacherLast'].' '.UTF8::substr($teacher['TeacherFirst'], 0, 1).'. ';
            if(!empty($teacher['TeacherSecond']))
            {
                $teachersHandled[$i] .= UTF8::substr($teacher['TeacherSecond'], 0, 1).'.';
            }
        }
        return $teachersHandled;
    }    
	
    public function action_settings() {
        $twig = Twig::factory('settings');
        $twig->User = $this->UserInfo;
        $this->response->body($twig);
    }
}
            
